{% extends "bootstrap/base.html" %}

{% block title %} Search {% endblock %}

{% block content %}

{% block styles %}
{{super()}}
    <link rel="stylesheet" href="{{url_for('static', filename='index.css')}}" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
{% endblock %}
  <body>
    {% include "navBar.html"%}
    <div class="container-fluid h-100">

      <div class="row">

        <div class="col-md-3" id="left-side-pan" ></div>

        <div class="col-md-6">
            <form action="" method='post'>
              {{form.hidden_tag()}}

              <center>
              <table>
                  <tr>
                      <td><lable>Search:</lable></td>
                      <td>{{ form.search }}</td>
                      <td>  <input type=submit value="Go" /></td>
                    </tr>

                </table>
              </center>
            </form>

            <div class="user-profile-container">
              <table>
                {% for user in users %}

                  <tr valign="top">
                    <td><a href="{{url_for('homePage',username=user.username)}}">
                      <img src={{user.userPicture(60)}} /></a>
                    </td>
                    <td>
                      <ul>

                        <li><label>Name:</label>{{user.firstName}}</li>
                        <li><label>Username:</label>{{user.username}}</li>
                      </ul>
                    </td>
                  </tr>

                {% endfor %}
              </table>
            </div>
        </div>

        <div class ="col-md-3" id="right-side-pan">
          <!-- flashed messages will be used to confirm to user information from application layer-->
            {% with messages = get_flashed_messages() %}
              {% if messages %}
                <ul>
                  {% for messages in messages %}
                    <li>{{messages}}</li>
                  {% endfor %}
                </ul>
              {% endif %}
            {% endwith %}


        </div>
      </div>

    </div>
  </body>
{% endblock %}
